
Partial Class PWS_ContactUs
	Inherits PageBase

	Dim mintID As Integer

	Protected Sub btnSend_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSend.Click
		If Page.IsValid Then
			Try
				Dim strSubject As String = txtSubject.Text.Trim

				If drpSubject.SelectedValue.ToLower <> "other" Then strSubject = drpSubject.SelectedItem.Text
				Globals.EmailUser(ConfigurationManager.AppSettings("NotifyAccount"), txtEmail.Text.Trim, strSubject, txtMessage.Text.Trim)
			Catch ex As Exception
				'The SendError needs to be changed to grab the admin user name from somewhere else.
				'This should not be hard coded.
				Globals.SendError(ConfigurationManager.AppSettings("NotifyAccount"), "Error using the Contact page!", "An error was encountered in the btnSend.Click event while trying to send the email." & vbCrLf & ex.Message)
			End Try

			'Reset the form
			txtMessage.Text = ""
			txtEmail.Text = ""
			txtSubject.Text = ""
			tblContactForm.Visible = False
			tblSentMessage.Visible = True
		End If
	End Sub

	Protected Sub btnCancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCancel.Click
		Response.Redirect("~/default.aspx")
	End Sub

	Protected Sub CaptchaUltimateControl1_Verified(ByVal sender As Object, ByVal e As System.EventArgs) Handles CaptchaUltimateControl1.Verified

	End Sub

	Protected Sub CaptchaUltimateControl1_Verifying(ByVal sender As Object, ByVal e As VerifyingEventArgs) Handles CaptchaUltimateControl1.Verifying
		If User.Identity.IsAuthenticated = True Then e.ForceVerify = True
	End Sub

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		With CaptchaUltimateControl1
			If User.Identity.IsAuthenticated = True Then
				.Visible = False
				.Enabled = False
			End If
			'.HeightCaptchaPixels = 30
			'.WidthCaptchaPixels = 150
			.Width = Unit.Pixel(300)
			.BackColor = Drawing.Color.Transparent
			.ShowRecalculateCaptchaButton = False
			.InvalidCaptchaMessage = "You have entered an incorrect code!"
			.CaptchaBorder = 0
			.CaptchaType = 1
			.CaptchaLength = 6
			.ButtonRedisplayCaptchaText = "Can't Read?"
			.ShowTitle = False


		End With

	End Sub

	Protected Sub drpSubject_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles drpSubject.SelectedIndexChanged
		If drpSubject.SelectedValue.ToLower = "other" Then
			txtSubject.Visible = True
			RequiredFieldValidator2.Enabled = True
		Else
			txtSubject.Visible = False
			RequiredFieldValidator2.Enabled = False
		End If
	End Sub
End Class
