<%@ Page Language="VB" MasterPageFile="~/Master Pages/Default.master" AutoEventWireup="false" ValidateRequest="false" CodeFile="ContactUs.aspx.vb" Inherits="PWS_ContactUs" title="Contact Me" %>

<%@ Register Assembly="CaptchaUltimateCustomControl" Namespace="PeterKellner.Utils" TagPrefix="CAPTCHA" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
	<div class="shim solid"></div> 
	<div class="page" id="Comments">
		<br />
		<br />
		<asp:Table ID="tblContactForm" runat="server" Width="90%" CellPadding="0" CellSpacing="0" CssClass="Border1px">
			<asp:TableRow>
				<asp:TableCell Height="30" HorizontalAlign="left" CssClass="CommentPageTitle">
					&nbsp;&nbsp;<asp:Label ID="lblPostMessage" Text="Email Me" CssClass="PostMessage" runat="server" /></asp:TableCell>
			</asp:TableRow>
			<asp:TableRow>
				<asp:TableCell VerticalAlign="top" CssClass="TDAddComment">
					<asp:Table Width="100%" CellPadding="10" CellSpacing="0" SkinID="CommentBG" CssClass="CommentBG" runat="server">
						<asp:TableRow>
							<asp:TableCell HorizontalAlign="left">
								Subject:<br />
								<asp:DropDownList ID="drpSubject" runat="server" AutoPostBack="true" Width="150px">
									<asp:ListItem Text="General Inquiry" Value="inquiry"></asp:ListItem>
									<asp:ListItem Text="Feedback" Value="feedback"></asp:ListItem>
									<asp:ListItem Text="Technical Help" Value="technical"></asp:ListItem>
									<asp:ListItem Text="Report Bug" Value="bug"></asp:ListItem>
									<asp:ListItem Text="Other" Value="other"></asp:ListItem>
								</asp:DropDownList>
								<br />
								<asp:TextBox ID="txtSubject" runat="server" Width="400px" MaxLength="150" Visible="false" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator2" Enabled="false"
									ControlToValidate="txtSubject"
									SetFocusOnError="true"
									Display="none"
									Text="No text has been entered for the subject."
									ErrorMessage="No text has been entered for the subject."
									runat="server" />
							</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell VerticalAlign="top" HorizontalAlign="left">
								<!--span>You can use simple HTML tags, such as <b style="white-space:nowrap;">  &lt;b&gt;, &lt;i&gt;, &lt;a&gt;  </b></span-->
								Body:<br />
								<asp:TextBox ID="txtMessage" TextMode="multiLine" Width="400px" Rows="6" MaxLength="800" EnableViewState="false" runat="server" />
								<asp:RequiredFieldValidator ID="RequiredFieldValidator1"
									ControlToValidate="txtMessage"
									SetFocusOnError="true"
									Display="none"
									Text="No text has been entered for a comment."
									ErrorMessage="No text has been entered for a comment."
									runat="server" />
							</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell VerticalAlign="top" HorizontalAlign="left">
								<asp:Label ID="lblEmail" Text="Enter Your Email:" runat="server" />
								<br />
								<asp:TextBox ID="txtEmail" runat="server" Width="250" MaxLength="49" EnableViewState="false" /><br />
								(email will not be made public and is required if you want a response)
								<br />
								<br />
								<CAPTCHA:CaptchaUltimateControl ID="CaptchaUltimateControl1" runat="server"
									ButtonRedisplayCaptchaText="Generate New Display Number"
									CaptchaBackgroundColor="White"
									CaptchaBorder="1"
									CaptchaLength="4"
									CaptchaType="2"
									CommandArg1="" CommandArg2="" CommandArg3="" CommandArg4="" CommandArg5="" EncryptedValue=""
									FontFamilyString="Courrier New"
									HeightCaptchaPixels="35"
									InvalidCaptchaMessage="Try Again."
									PlainValue=""
									ShowPromo="True"
									ShowRecalculateCaptchaButton="False"
									ShowTitle="True"
									Title=""
									WidthCaptchaPixels="180">
									<ItemTemplate>
										<table width="350" border="0">
											<tr>
												<td style="text-align: left;">
													Security code from image below:
													<asp:TextBox ID="VerificationID" runat="server" Width="250px" Style="text-align: left;"></asp:TextBox>
													<asp:CustomValidator ID="CustomValidatorID" runat="server">Try Again.</asp:CustomValidator>
													<asp:Label ID="TitleID" Style="text-align: right;" runat="server"> </asp:Label>
												</td>
											</tr>
											<tr>
												<td style="text-align: left;">
													<asp:Image ID="CaptchaImageID" runat="server" ImageUrl="~/CaptchaType.ashx" />
													<asp:Button ID="ButtonDisplayNextID" runat="server" Text="Show me another set of characters" />
												</td>
											</tr>
										</table>
									</ItemTemplate>
								</CAPTCHA:CaptchaUltimateControl>
							</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell VerticalAlign="top" HorizontalAlign="left">
								<asp:Button ID="btnSend" Text="Submit" runat="server" />&nbsp;&nbsp;&nbsp;<asp:Button ID="btnCancel" Text="Cancel" CausesValidation="false" runat="server" /> 
							</asp:TableCell>
						</asp:TableRow>
						<asp:TableRow>
							<asp:TableCell VerticalAlign="top">
								<asp:ValidationSummary ID="ValidationSummary1"
									DisplayMode="BulletList"
									HeaderText="Errors Encountered trying to Save:"
									runat="server" />							
							</asp:TableCell>
						</asp:TableRow>
					</asp:Table></asp:TableCell>
			</asp:TableRow>
		</asp:Table>
		<asp:Table ID="tblSentMessage" runat="server" CellPadding="0" CellSpacing="0" BorderWidth="0" Visible="false">
			<asp:TableRow>
				<asp:TableCell HorizontalAlign="left" VerticalAlign="middle">
					<br />
					<br />
					Thank you. Your message has been sent. <asp:HyperLink ID="link1" runat="server" NavigateUrl="~/Default.aspx">Return home page</asp:HyperLink></asp:TableCell>
			</asp:TableRow>
		</asp:Table>
		<br />
		<br />
	</div>
</asp:Content>

